# sc::ScaledTorsSimpleCo Class Reference

The ScaledTorsSimpleCo class describes an scaled torsion internal coordinate of a molecule. More...

`#include <simple.h>`

Inheritance diagram for sc::ScaledTorsSimpleCo:

List of all members.

## Public Member Functions

| ScaledTorsSimpleCo (const ScaledTorsSimpleCo &)
| ScaledTorsSimpleCo (const char *refr, int, int, int, int)
| This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd.
| ScaledTorsSimpleCo (const Ref< KeyVal > &)
| The KeyVal constructor.
const char * | ctype () const
| Always returns the string "TORS".
double | radians () const
| Returns the value of the angle abc in radians.
double | degrees () const
| Returns the value of the angle abc in degrees.
double | preferred_value () const
| Returns the value of the angle abc in degrees.

## Detailed Description

The ScaledTorsSimpleCo class describes an scaled torsion internal coordinate of a molecule.

The scaled torsion is more stable that ordinary torsions (see the TorsSimpleCo class) in describing situations where one of the torsions plane's is given by three near linear atoms.

Designating the four atoms as , , , and and their cartesian positions as , , , and , the value of the coordinate, , is given by

## Constructor & Destructor Documentation

sc::ScaledTorsSimpleCo::ScaledTorsSimpleCo | ( | const char * | refr,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  |

This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd.

Atom numbering begins at atom 1, not atom 0.

sc::ScaledTorsSimpleCo::ScaledTorsSimpleCo | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

This calls the SimpleCo keyval constructor with an integer argument of 4.

The documentation for this class was generated from the following file:

- simple.h